Bug 1290509 - keystone::rabbit_heartbeat_timeout_threshold is ignored
keystone::rabbit_heartbeat_timeout_threshold is ignored
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Emilien Macchi
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 12:20 EST by David Juran
Modified: 2016-04-18 02:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 16:34:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2015-12-10 12:20:35 EST
Description of problem:
In /usr/share/openstack-tripleo-heat-templates/puppet/hieradata/common.yaml, the parameter keystone::rabbit_heartbeat_timeout_threshold is set, but the puppet module in /usr/share/openstack-puppet/modules/keystone/ ignores this parameter.

Version-Release number of selected component (if applicable):
openstack-puppet-modules-2015.1.8-21.el7ost.noarch


Additional info:
The default value in keystone seem to be '60', but it's still rather confusing to have a parameter in the default template which won't be applied if changed
Comment 2 Emilien Macchi 2015-12-11 13:34:29 EST
I don't understand how the parameter can be ignored:
https://github.com/redhat-openstack/openstack-puppet-modules/blob/master/keystone/manifests/init.pp#L528

Which value do you see in keystone.conf?
What is the issue here? Do you need to change it?

Thanks
Comment 3 David Juran 2015-12-14 08:39:50 EST
That is not how it looks in the released openstack-puppet-modules-2015.1.8-21.el7ost.noarch in OSP-d

And no, I don't need to change it but it's rather confusing that there is a value which is ignored. But if it's fixed in upstream, it's enough for me.
Comment 4 Emilien Macchi 2015-12-14 16:34:42 EST
Closing the BZ if it's enough for you. If you think there is a bug, please feel free to re-open it.

Note You need to log in before you can comment on or make changes to this bug.